# File Color & Name Search Tool Color search

A lightweight Python application to **search files by filename and dominant color** inside images and videos on your system.

---

## Features

- Search images and videos by dominant color similarity
- Filter search by file type: images only, videos only, or both
- Search files by partial filename (case-insensitive substring match)
- Shows matched files with image thumbnails or video icons
- Click to open matched files with the default system application
- Cross-platform: works on Linux, Windows, macOS
- Responsive UI with PyQt6 and multithreading
- Simple, intuitive interface and progress bar

---

## Requirements

- Python 3.8 or newer
- PyQt6
- Pillow (PIL)

Install dependencies with:

```bash
pip install PyQt6 Pillow
